.signup-wrapper {
    margin-top: 60px;
    padding: 40px 0;
    background: #f8f9fb;
}
.form-inscription{
    background: #fff;
    padding: 40px 67px;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
}
.custom-fieldset {
    border: 2px solid #ccc;
    padding: 20px;
    border-radius: 10px;
    position: relative;
    margin-bottom: 1rem;
}

.custom-fieldset legend {
    padding: 5px 15px;
    background: #ccc;
    font-size: 16px;
    font-weight: 600;
    border-radius: 10px;
}

.form-grid{
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 32px;
}

.form-inscription form{
    display: flex;
    flex-direction: column;
    gap: 30px;
}


.error-message {
    color: #ff4d4f;
    font-size: 12px;
    margin-top: 5px;
    display: block;
}

input.error {
    border: 1px solid #ff4d4f;
}

.loader {
    width: 18px;
    height: 18px;
    border: 2px solid #fff;
    border-top: 2px solid transparent;
    border-radius: 50%;
    display: inline-block;
    animation: spin 0.6s linear infinite;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}

@media (max-width: 900px) {
    .form-inscription {
        padding: 40px 20px;
    }
    .form-grid {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}

.intro{
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
}

.intro img{
    width: 41vh;
    height: auto;
}

.intro h3{
   font-weight: bold;
   font-size: 30px;
}